/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student
 */
public class Server {

    List<ThreadClient> listaKlijenata = new ArrayList<>();

    public static void main(String[] args) {
        Server server = new Server();
        server.pokreniServer();
    }

    private void pokreniServer() {
        try {
            ServerSocket serverSocket = new ServerSocket(9000);
            while (true) {
                Socket socketClient = serverSocket.accept();
                ThreadClient threadClient = new ThreadClient(this, socketClient);
                threadClient.start();
                listaKlijenata.add(threadClient);
            }
        } catch (IOException ex) {
            ex.printStackTrace();
        }
    }

    public void posaljiSvimaPoruku(String poruka) {
        for (ThreadClient threadClient : listaKlijenata) {
            if (threadClient.isAlive()) {
                threadClient.posaljiPoruku(poruka);
            }
        }
    }
}
